## debhelper 7.0.13ubuntu1netbook0natick1

=== debian/changelog ===
debhelper (7.0.13ubuntu1netbook0natick1) hardy; urgency=low

  * Backport debhelper 7 from intrepid

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Wed, 17 Sep 2008 19:34:39 +0000

=== debian/control ===
Source: debhelper
Section: devel
Priority: optional
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Joey Hess <joeyh@debian.org>
Build-Depends: po4a (>= 0.24), man-db (>= 2.5.1), file (>= 3.23)
Standards-Version: 3.8.0
Vcs-Git: git://git.debian.org/git/debhelper/debhelper.git
Homepage: http://kitenet.net/~joey/code/debhelper/

Package: debhelper
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, file (>= 3.23), dpkg-dev (>= 1.14.15), html2text, binutils, po-debconf, man-db (>= 2.5.1-1)
Suggests: dh-make
Conflicts: dpkg-cross (<< 1.18), python-support (<< 0.5.3), python-central (<< 0.5.6)
Description: helper programs for debian/rules
 A collection of programs that can be used in a debian/rules file to
 automate common tasks related to building debian packages. Programs
 are included to install various files into your package, compress 
 files, fix file permissions, integrate your package with the debian 
 menu system, debconf, doc-base, etc. Most debian packages use debhelper
 as part of their build process.

=== debian/rules ===
#!/usr/bin/make -f
# If you're looking for an example debian/rules that uses debhelper, see
# the examples directory.
# 
# Each debhelper command in this rules file has to be run using ./run,
# to ensure that the commands and libraries in the source tree are used,
# rather than the installed ones.
%:
	./run dh $@

# Not intended for use by anyone except the author.
announcedir:
	@echo ${HOME}/src/joeywiki/code/debhelper/news

## debhelper 7.0.13ubuntu1netbook0natick2

=== Makefile ===
# This generates a list of synopses of debhelper commands, and substitutes
# it in to the #LIST# line on the man page fed to it on stdin. Must be passed
# parameters of all the executables or pod files to get the synopses from.
# For correct conversion of pod tags (like S< >) #LIST# must be substituted in
# the pod file and not in the troff file.
MAKEMANLIST=perl -e ' \
		undef $$/; \
		foreach (@ARGV) { \
		        open (IN, $$_) or die "$$_: $$!"; \
		        $$file=<IN>; \
		        close IN; \
		        if ($$file=~m/=head1 .*?\n\n(.*?) - (.*?)\n\n/s) { \
		                $$collect.="=item $$1(1)\n\n$$2\n\n"; \
		        } \
		} \
		END { \
			while (<STDIN>) { \
		        	s/\#LIST\#/$$collect/; \
				print; \
			}; \
		}'

# Figure out the `current debhelper version.
VERSION=$(shell expr "`dpkg-parsechangelog |grep Version:`" : '.*Version: \(.*\)')

PERLLIBDIR=$(shell perl -MConfig -e 'print $$Config{vendorlib}')/Debian/Debhelper

POD2MAN=pod2man -c Debhelper -r "$(VERSION)"

# l10n to be built is determined from .po files
LANGS=$(notdir $(basename $(wildcard man/po4a/po/*.po)))

build: version
	find . -maxdepth 1 -type f -perm +100 -name "dh*" \
		-exec $(POD2MAN) {} {}.1 \;
	cat debhelper.pod | \
		$(MAKEMANLIST) `find . -maxdepth 1 -type f -perm +100 -name "dh_*" | sort` | \
		$(POD2MAN) --name="debhelper" --section=7  > debhelper.7
	po4a man/po4a/po4a.cfg 
	set -e; \
	for lang in $(LANGS); do \
		dir=man/$$lang; \
		for file in $$dir/dh*.pod; do \
			prog=`basename $$file | sed 's/.pod//'`; \
			$(POD2MAN) $$file $$prog.$$lang.1; \
		done; \
		cat $$dir/debhelper.pod | \
			$(MAKEMANLIST) `find $$dir -type f -maxdepth 1 -name "dh_*.pod" | sort` | \
			$(POD2MAN) --name="debhelper" --section=7 > debhelper.$$lang.7; \
	done

version:
	printf "package Debian::Debhelper::Dh_Version;\n\$$version='$(VERSION)';\n1" > \
		Debian/Debhelper/Dh_Version.pm

clean:
	rm -f *.1 *.7 Debian/Debhelper/Dh_Version.pm
	po4a --rm-translations --rm-backups man/po4a/po4a.cfg
	for lang in $(LANGS); do \
		if [ -e man/$$lang ]; then rmdir man/$$lang; fi; \
	done;

install:
	install -d $(DESTDIR)/usr/bin \
		$(DESTDIR)/usr/share/debhelper/autoscripts \
		$(DESTDIR)$(PERLLIBDIR)/Sequence
	install $(shell find -maxdepth 1 -mindepth 1 -name dh\* |grep -v \.1\$$) $(DESTDIR)/usr/bin
	install -m 0644 autoscripts/* $(DESTDIR)/usr/share/debhelper/autoscripts
	install -m 0644 Debian/Debhelper/*.pm $(DESTDIR)$(PERLLIBDIR)
	install -m 0644 Debian/Debhelper/Sequence/*.pm $(DESTDIR)$(PERLLIBDIR)/Sequence

test: version
	./run perl -MTest::Harness -e 'runtests grep { ! /CVS/ && ! /\.svn/ } @ARGV' t/*
	# clean up log etc
	./run dh_clean

=== debian/changelog ===
debhelper (7.0.13ubuntu1netbook0natick2) natick; urgency=low

  * Rebuild for reprepro

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Fri, 27 Feb 2009 21:27:02 +0000

## debhelper 7.0.15~bpo40+2

=== debian/changelog ===
debhelper (7.0.15~bpo40+2) etch-backports; urgency=low

  * Conflict against etch quilt (needed for a working dh7 patch target) 

 -- Alexander Wirt <formorer@debian.org>  Sun, 21 Sep 2008 10:11:12 +0000

debhelper (7.0.15~bpo40+1) etch-backports; urgency=low

  * Backport for Debian Etch (needs man-db backport).
  * Revert the use of features introduced by dpkg-dev packages newer than
    Debian Etch. In detail:
    - dh_makeshlibs does not support symbol files any more (re-opens #443978)
      so it doesn't support -I for including symbol files either
      (re-opens #452717),
    - dh_shlibdeps: Revert updated documentation for -L and -l for
      dpkg-shlibdeps being not so smart any more (re-opens #459226),
    - dh_shlibdeps: If a relative path is specified in -l, prepend the
      pwd to it again (changed in 6.0.0 due to changed dpkg-shlibdeps
      behaviour),
    - all in all lower Depends to version 1.13.13 of dpkg-dev
    essentially reverting partial changes from 5.0.61, 5.0.62 and 6.0.0.
  * Adding myself to uploaders for monitoring on my QA page.

 -- Micha Lenk <micha@lenk.info>  Tue, 16 Sep 2008 16:21:03 +0200

debhelper (7.0.15) unstable; urgency=low

  * dh_clean: Do not delete *-stamp files in -k mode in v7. Closes: #489918

 -- Joey Hess <joeyh@debian.org>  Wed, 09 Jul 2008 16:16:11 -0400

debhelper (7.0.14) unstable; urgency=low

  * Load python-support sequence file first, to allow ones loaded later to
    disable it.

 -- Joey Hess <joeyh@debian.org>  Sat, 05 Jul 2008 08:23:32 -0400

=== debian/control ===
Source: debhelper
Section: devel
Priority: optional
Maintainer: Joey Hess <joeyh@debian.org>
Uploaders: Micha Lenk <micha@lenk.info>
Build-Depends: po4a (>= 0.24), man-db (>= 2.5.1), file (>= 3.23)
Standards-Version: 3.8.0
Vcs-Git: git://git.debian.org/git/debhelper/debhelper.git
Homepage: http://kitenet.net/~joey/code/debhelper/

Package: debhelper
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, file (>= 3.23), dpkg-dev (>= 1.13.13), html2text, binutils, po-debconf, man-db (>= 2.5.1-1)
Suggests: dh-make
Conflicts: dpkg-cross (<< 1.18), python-support (<< 0.5.3), python-central (<< 0.5.6), quilt (<< 0.46-5) 
Description: helper programs for debian/rules
 A collection of programs that can be used in a debian/rules file to
 automate common tasks related to building debian packages. Programs
 are included to install various files into your package, compress 
 files, fix file permissions, integrate your package with the debian 
 menu system, debconf, doc-base, etc. Most debian packages use debhelper
 as part of their build process.

## debhelper 7.0.15

=== debian/control ===
Source: debhelper
Section: devel
Priority: optional
Maintainer: Joey Hess <joeyh@debian.org>
Build-Depends: po4a (>= 0.24), man-db (>= 2.5.1), file (>= 3.23)
Standards-Version: 3.8.0
Vcs-Git: git://git.debian.org/git/debhelper/debhelper.git
Homepage: http://kitenet.net/~joey/code/debhelper/

Package: debhelper
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, file (>= 3.23), dpkg-dev (>= 1.14.15), html2text, binutils, po-debconf, man-db (>= 2.5.1-1)
Suggests: dh-make
Conflicts: dpkg-cross (<< 1.18), python-support (<< 0.5.3), python-central (<< 0.5.6)
Description: helper programs for debian/rules
 A collection of programs that can be used in a debian/rules file to
 automate common tasks related to building debian packages. Programs
 are included to install various files into your package, compress 
 files, fix file permissions, integrate your package with the debian 
 menu system, debconf, doc-base, etc. Most debian packages use debhelper
 as part of their build process.

## debhelper 7.0.15-maemo1

=== debian/changelog ===
debhelper (7.0.15-maemo1) unstable; urgency=low

  * Maemoization

 -- Marat Radchenko <marat@slonopotamus.org>  Tue, 15 Feb 2011 23:41:21 +0300

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 Package: debhelper
 Architecture: all
-Depends: ${perl:Depends}, ${misc:Depends}, file (>= 3.23), dpkg-dev (>= 1.14.15), html2text, binutils, po-debconf, man-db (>= 2.5.1-1)
+Depends: ${perl:Depends}, ${misc:Depends}, file (>= 3.23), dpkg-dev (>= 1.14.15), html2text, po-debconf, man-db (>= 2.5.1-1)
 Suggests: dh-make
 Conflicts: dpkg-cross (<< 1.18), python-support (<< 0.5.3), python-central (<< 0.5.6)
 Description: helper programs for debian/rules

## debhelper 7.0.15-maemo2

=== debian/changelog ===
debhelper (7.0.15-maemo2) unstable; urgency=low

  * Dropped dependency on man-db

 -- Marat Radchenko <marat@slonopotamus.org>  Tue, 15 Feb 2011 23:53:19 +0300

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 Package: debhelper
 Architecture: all
-Depends: ${perl:Depends}, ${misc:Depends}, file (>= 3.23), dpkg-dev (>= 1.14.15), html2text, po-debconf, man-db (>= 2.5.1-1)
+Depends: ${perl:Depends}, ${misc:Depends}, file (>= 3.23), dpkg-dev (>= 1.14.15), html2text, po-debconf
 Suggests: dh-make
 Conflicts: dpkg-cross (<< 1.18), python-support (<< 0.5.3), python-central (<< 0.5.6)
 Description: helper programs for debian/rules

## debhelper 7.0.17ubuntu4

=== debian/changelog ===
debhelper (7.0.17ubuntu4) jaunty; urgency=low

  * dh_auto_install: add "--install-layout=deb" to setup.py install calls.

 -- Michael Bienia <geser@ubuntu.com>  Mon, 09 Mar 2009 16:17:31 +0100

debhelper (7.0.17ubuntu3) jaunty; urgency=low

  * dh_installmodules: Install files to /etc/modprobe.d/*.conf, and move the
    file from /etc/modprobe.d/* if it exists and is changed (otherwise
    remove before upgrade). 

 -- Scott James Remnant <scott@ubuntu.com>  Thu, 05 Mar 2009 11:26:43 +0000

debhelper (7.0.17ubuntu2) jaunty; urgency=low

  * dh_installudev: Default priority is now 40 by default, and the target
    directory is now /lib/udev/rules.d.  Remove files from /etc/udev/rules.d
    unless they are user modified; if modified and of default priority,
    take care to rename.

 -- Scott James Remnant <scott@ubuntu.com>  Tue, 06 Jan 2009 18:03:34 +0000

debhelper (7.0.17ubuntu1) jaunty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - dh_installudev: Use priority 50 by default (instead of z60) and '-'
      separator (instead of '_').
    - dh_installxfonts: Use versioned dependency for xfonts-utils. This
      should be kept until dapper goes out of support, to avoid broken
      dapper backports.
  * Stop discarding scrollkeeper-update output; this isn't needed now that
    we use rarian-compat.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 02 Nov 2008 21:54:56 +0000

debhelper (7.0.17) unstable; urgency=low

  [ Per Olofsson ]
  * dh_auto_install: Fix man page, was referring to dh_auto_clean.

  [ Joey Hess ]
  * dh_gencontrol: Drop the Homepage field from udebs. Closes: #492719
  * Typo. Closes: #493062
  * dh_auto_install: Improve check for MakeMaker, to avoid passing PREFIX
    if the Makefile was generated by Module::Build::Compat. Closes: #496157

 -- Joey Hess <joeyh@debian.org>  Fri, 22 Aug 2008 22:30:12 -0400

debhelper (7.0.16) unstable; urgency=low

  * dh: Avoid passing --with on to subcommands. Closes: #490886
  * dh_installchangelogs: When searching for changelog in v7 mode, skip
    empty files. Closes: #490937

 -- Joey Hess <joeyh@debian.org>  Sat, 19 Jul 2008 15:34:13 -0400

## debhelper 7.3.15ubuntu3

=== Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 
 PERLLIBDIR=$(shell perl -MConfig -e 'print $$Config{vendorlib}')/Debian/Debhelper
 
-POD2MAN=pod2man -c Debhelper -r "$(VERSION)"
+POD2MAN=pod2man --utf8 -c Debhelper -r "$(VERSION)"
 
 # l10n to be built is determined from .po files
 LANGS=$(notdir $(basename $(wildcard man/po4a/po/*.po)))
@@ -36,7 +36,7 @@
 	cat debhelper.pod | \
 		$(MAKEMANLIST) `find . -maxdepth 1 -type f -perm +100 -name "dh_*" | sort` | \
 		$(POD2MAN) --name="debhelper" --section=7  > debhelper.7
-	po4a man/po4a/po4a.cfg 
+	po4a -L UTF-8 man/po4a/po4a.cfg 
 	set -e; \
 	for lang in $(LANGS); do \
 		dir=man/$$lang; \
@@ -44,9 +44,11 @@
 			prog=`basename $$file | sed 's/.pod//'`; \
 			$(POD2MAN) $$file $$prog.$$lang.1; \
 		done; \
-		cat $$dir/debhelper.pod | \
-			$(MAKEMANLIST) `find $$dir -type f -maxdepth 1 -name "dh_*.pod" | sort` | \
-			$(POD2MAN) --name="debhelper" --section=7 > debhelper.$$lang.7; \
+		if [ -e $$dir/debhelper.pod ]; then \
+			cat $$dir/debhelper.pod | \
+				$(MAKEMANLIST) `find $$dir -type f -maxdepth 1 -name "dh_*.pod" | sort` | \
+				$(POD2MAN) --name="debhelper" --section=7 > debhelper.$$lang.7; \
+		fi; \
 	done
 
 version:
@@ -63,13 +65,15 @@
 install:
 	install -d $(DESTDIR)/usr/bin \
 		$(DESTDIR)/usr/share/debhelper/autoscripts \
-		$(DESTDIR)$(PERLLIBDIR)/Sequence
+		$(DESTDIR)$(PERLLIBDIR)/Sequence \
+		$(DESTDIR)$(PERLLIBDIR)/Buildsystem
 	install $(shell find -maxdepth 1 -mindepth 1 -name dh\* |grep -v \.1\$$) $(DESTDIR)/usr/bin
 	install -m 0644 autoscripts/* $(DESTDIR)/usr/share/debhelper/autoscripts
 	install -m 0644 Debian/Debhelper/*.pm $(DESTDIR)$(PERLLIBDIR)
 	install -m 0644 Debian/Debhelper/Sequence/*.pm $(DESTDIR)$(PERLLIBDIR)/Sequence
+	install -m 0644 Debian/Debhelper/Buildsystem/*.pm $(DESTDIR)$(PERLLIBDIR)/Buildsystem
 
 test: version
-	./run perl -MTest::Harness -e 'runtests grep { ! /CVS/ && ! /\.svn/ } @ARGV' t/*
+	./run perl -MTest::Harness -e 'runtests grep { ! /CVS/ && ! /\.svn/ && -f && -x } @ARGV' t/* t/buildsystems/*
 	# clean up log etc
 	./run dh_clean

=== debian/changelog ===
debhelper (7.3.15ubuntu3) karmic; urgency=low

  * dh_installinit:
    - Create the upstart-job symlink even when --upstart-only is called,
      since this simplifies implementation of...
    - --restart-after-upgrade: we can't use the upstart 'restart' command here
      because this will give wrong behavior if we're adding a new job to an
      existing package; instead just use the standard invoke-rc.d snippet,
      which (combined with the above) will at least give us compatibility
      with policy-rc.d for preventing stopped jobs from starting on upgrade.
      (N.B.: prerm scripts could also safely reuse the invoke-rc.d handling
      instead of calling 'stop' directly, but leaving this alone for now
      because the current behavior is only minorly buggy.)
    - Drop unnecessary UPSTART_ONLY check; --upstart-only should never be set
      without having an upstart job so this is redundant.
    - postinst-reboot-required is never the right snippet to include here.
    - Merge in the final changes to the upstartification as accepted into
      debhelper upstream, dropping the --onlyscripts-upstart option from
      the documentation but mapping it to --onlyscripts for compatibility in
      karmic.
  * autoscript/postinst-upstart: typo fix.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 30 Sep 2009 13:57:14 -0700

debhelper (7.3.15ubuntu2) karmic; urgency=low

  FFE LP: #427356.

  * dh_installinit: handle upstart job files in preference over init
    scripts, supplying appropriate maintainer scripts to stop, start or
    restart the jobs over upgrades.
    - currently unlike init scripts, these accept failures because Upstart
      considers "start when already running" failure.
  * dh_installinit: --upstart-only will not include maintainer script code
    to replace an init script with an upstart job, otherwise a compatibilty
    symlink to /lib/init/upstart-job is left in its place

 -- Scott James Remnant <scott@ubuntu.com>  Tue, 15 Sep 2009 03:32:13 +0100

debhelper (7.3.15ubuntu1) karmic; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - dh_installudev: Default priority is now 40 by default.
    - dh_installudev: Handle conffile migration from old Ubuntu defaults
      (needed until after the next LTS release).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 25 Aug 2009 11:10:18 +0100

debhelper (7.3.15) unstable; urgency=low

  * dh_installudev: Install rules files into new location
    /lib/udev/rules.d/
  * dh_installudev: Add code to delete old conffiles unless
    they're modified, and in that case, rename them to override
    the corresponding file in /lib/udev. (Based on patch by
    Martin Pitt.) (Note that this file will not be deleted on purge -- 
    I can't see a good way to determine when it's appropriate to do
    that.)
  * dh_installudev: Set default priority to 60; dropping the "z".
    If --priority=zNN is passed, treat that as priority NN.
  * Above Closes: #491117
  * dh_installudev: Drop code handling move of /etc/udev/foo into
    /etc/udev/rules.d/.

 -- Joey Hess <joeyh@debian.org>  Fri, 21 Aug 2009 17:22:08 -0400

debhelper (7.3.14) unstable; urgency=low

  [ Colin Watson ]
  * dh: Add --list option to list available addons. Closes: #541302

  [ Joey Hess ]
  * Run pod2man with --utf8. Closes: #541270
  * dh: Display $@ error if addon load fails. Closes: #541845
  * dh_perl: Remove perl minimum dependency per new policy. Closes: #541811

 -- Joey Hess <joeyh@debian.org>  Mon, 17 Aug 2009 15:55:48 -0400

debhelper (7.3.13) unstable; urgency=low

  [ Bernd Zeimetz ]
  * python_distutils.pm: Support debhelper backports.
    To allow backports of debhelper we don't pass
    --install-layout=deb to 'setup.py install` for those Python
    versions where the option is ignored by distutils/setuptools.
    Thanks to Julian Andres Klode for the bug report.
    Closes: #539324

 -- Joey Hess <joeyh@debian.org>  Fri, 14 Aug 2009 20:10:57 -0400

debhelper (7.3.12) unstable; urgency=low

  * dh: Allow creation of new sequences (such as to handle a patch
    target for quilt), by adding an add_command function to the
    sequence addon interface. See #540124.

 -- Joey Hess <joeyh@debian.org>  Thu, 06 Aug 2009 11:08:53 -0400

debhelper (7.3.11) unstable; urgency=low

  * perl_build: Fix Build check to honor source directory setting.

 -- Joey Hess <joeyh@debian.org>  Wed, 05 Aug 2009 13:52:34 -0400

debhelper (7.3.10) unstable; urgency=low

  * perl_build: Avoid failing if forced to be used in dh_auto_clean
    when Build does not exist (ie due to being run twice in a row).
    Closes: #539848
  * dh_builddeb: Fix man page typo. Closes: #539976
  * dh_installdeb: In udeb mode, support the menutest and isinstallable
    maintainer scripts. Closes: #540079 Thanks, Colin Watson.

 -- Joey Hess <joeyh@debian.org>  Wed, 05 Aug 2009 11:03:01 -0400

debhelper (7.3.9) unstable; urgency=low

  * cmake: Avoid forcing rpath off as this can break some test suites.
    It gets stripped by cmake at install time. Closes: #538977

 -- Joey Hess <joeyh@debian.org>  Sat, 01 Aug 2009 15:59:07 -0400

debhelper (7.3.8ubuntu1) karmic; urgency=low

  * Merge with Debian unstable (LP: #404561). Remaining Ubuntu changes:
    - dh_installudev: Default priority is now 40 by default, the target
      directory is /lib/udev/rules.d, and rules use '-' as separator instead of
      '_'.  Remove files from /etc/udev/rules.d unless they are user modified;
      if modified and of default priority, take care to rename.
      This should eventually go to Debian as well, see Debian #491117.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sat, 25 Jul 2009 17:17:24 +0300

debhelper (7.3.8) unstable; urgency=low

  * Fix t/override_target to use ./run. Closes: #538315

 -- Joey Hess <joeyh@debian.org>  Sat, 25 Jul 2009 00:37:45 +0200

debhelper (7.3.7) unstable; urgency=low

  * First upload of buildsystems support to unstable.


=== debian/control ===
--- 
+++ 
@@ -1,15 +1,17 @@
 Source: debhelper
 Section: devel
 Priority: optional
-Maintainer: Joey Hess <joeyh@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Joey Hess <joeyh@debian.org>
 Build-Depends: po4a (>= 0.24), man-db (>= 2.5.1), file (>= 3.23)
-Standards-Version: 3.8.0
+Standards-Version: 3.8.3
 Vcs-Git: git://git.debian.org/git/debhelper/debhelper.git
+Vcs-Browser: http://git.debian.org/?p=debhelper/debhelper.git;a=summary
 Homepage: http://kitenet.net/~joey/code/debhelper/
 
 Package: debhelper
 Architecture: all
-Depends: ${perl:Depends}, ${misc:Depends}, file (>= 3.23), dpkg-dev (>= 1.14.15), html2text, po-debconf
+Depends: ${perl:Depends}, ${misc:Depends}, perl-base (>= 5.10), file (>= 3.23), dpkg-dev (>= 1.14.19), html2text, binutils, po-debconf, man-db (>= 2.5.1-1)
 Suggests: dh-make
 Conflicts: dpkg-cross (<< 1.18), python-support (<< 0.5.3), python-central (<< 0.5.6)
 Description: helper programs for debian/rules

## debhelper 7.3.15ubuntu3netbook0araneo0sendai1

=== debian/changelog ===
debhelper (7.3.15ubuntu3netbook0araneo0sendai1) sendai; urgency=low

  * Rebuild for Sendai (Jaunty)

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Tue, 03 Nov 2009 18:01:04 -0500

## debhelper 7.4.11~bpo50+1~lenny.nd1

=== debian/changelog ===
debhelper (7.4.11~bpo50+1~lenny.nd1) lenny; urgency=low

  * Backport of Debian package version 7.4.11~bpo50+1 for NeuroDebian.
    Problems with the backport should be reported to the NeuroDebian
    maintainers and not to the original Debian maintainer.

 -- NeuroDebian Maintainers <pkg-exppsy-maintainers@lists.alioth.debian.org>  Wed, 31 Mar 2010 12:22:17 -0400

debhelper (7.4.11~bpo50+1) lenny-backports; urgency=low

  * Rebuild for lenny-backports.

 -- Alexander Wirt <formorer@debian.org>  Sat, 23 Jan 2010 21:37:29 +0000

debhelper (7.4.11) unstable; urgency=low

  * dh(1): Minor rewording of documentation of override commands.
    Closes: #560421
  * dh(1): Add an example of using an override target to avoid
    dh running several commands. Closes: #560600
  * dh_installman: Avoid doubled slashes in path. Closes: #561275
  * dh_installxfonts: Use new update-fonts-alias --include and
    --exclude options to better handle removal in the case where
    xfonts-utils is removed before a font package is purged.
    (#543512; thanks, Theppitak Karoonboonyanan)
  * dh: Optimise handling of noop overrides, avoiding an unnecessary
    call to make to handle them. (Modestas Vainius)

 -- Joey Hess <joeyh@debian.org>  Thu, 31 Dec 2009 11:32:34 -0500

debhelper (7.4.10) unstable; urgency=low

  * Add --parallel option that can be used to enable parallel building
    without limiting the max number of parallel jobs. (Modestas Vainius)
  * dh_makeshlibs: Temporarily revert fix for #557603, as it caused
    dpkg-gensymbols to see libraries not in the regular search path and
    broke builds. This will be re-enabled in v8. Closes: #560217

 -- Joey Hess <joeyh@debian.org>  Wed, 09 Dec 2009 15:17:19 -0500

debhelper (7.4.9) unstable; urgency=low

  * Typo. Closes: #558654
  * dh_installinit: Fix installation of defaults file when an upstart job is
    installed. Closes: #558782

 -- Joey Hess <joeyh@debian.org>  Mon, 30 Nov 2009 14:21:10 -0500

debhelper (7.4.8) unstable; urgency=low

  * Parallel building support is no longer enabled by default. It can still
    be enabled by using the --max-parallel option. This was necessary because
    some buildds build with -j2 by default. (See #532805)
  * dh: Document --no-act. Closes: #557505
  * dh_makeshlibs: Make -X also exclude libraries from the symbols file.
    Closes: #557603 (Peter Samuelson)

 -- Joey Hess <joeyh@debian.org>  Mon, 23 Nov 2009 13:57:10 -0500

debhelper (7.4.7) unstable; urgency=low

  * make: Avoid infinite make recursion that occurrs when testing existence
    of a target in a certian horribly broken makefile, by making the test stop
    after it sees one line of output from make. (This may be better replaced
    with dh's makefile parser in the future.) Closes: #557307

 -- Joey Hess <joeyh@debian.org>  Sat, 21 Nov 2009 13:35:22 -0500

debhelper (7.4.6) unstable; urgency=low

  * Update --list to reflect buildsystem autoselection changes.
  * Remove last vestiages of support for /usr/X11R6.
  * cmake: Fix deep recursion in test. Closes: #557299

 -- Joey Hess <joeyh@debian.org>  Sat, 21 Nov 2009 13:08:48 -0500

debhelper (7.4.5) unstable; urgency=low

  * ant: Fix auto-selection breakage. Closes: #557006 (Cyril Brulebois)

 -- Joey Hess <joeyh@debian.org>  Thu, 19 Nov 2009 11:53:39 -0500

debhelper (7.4.4) unstable; urgency=low

  * The makefile buildsystem (and derived buildsystems cmake, autoconf, etc)
    now supports parallel building by default, as specified via
    DEB_BUILD_OPTIONS. Closes: #532805
  * dh_auto_*: Add --max-parallel option that can be used to control
    or disable parallel building. --max-parallel=1 will disable parallel
    building, while --max-parallel=N will limit the maximum number of
    parallel processes that can be specified via DEB_BUILD_OPTIONS.
  * Added some hacks to avoid warnings about unavailable jobservers when
    debhelper runs make, and the parent debian/rules was run in parallel
    mode (as dpkg-buildpackage -j currently does).
  * Thanks, Modestas Vainius for much of the work on parallel build support.
  * Add deprecation warnings for -u to the documentation, since putting
    options after -- is much more sane. (However, -u will not go away any
    time soon.) Closes: #554509
  * Separate deprecated programs in the list of commands in debhelper(7).
    Closes: #548382
  * Adjust code to add deprecation warning for compatibility level 4.
    (Man page already said it was deprecated.) Closes: #555899
  * dh_installdocs: Warn if a doc-base file cannot be parsed to find a
    document id. Closes: #555677
  * Typo. Closes: #555659
  * cmake: Set CTEST_OUTPUT_ON_FAILURE when running test suite.
    Closes: #555807 (Modestas Vainius)
  * autoconf: If configure fails, display config.log. Intended to make
    it easier to debug configure script failures on autobuilders.
    Closes: #556384
  * Improve build system autoselection process; this allows cmake to be
    autoselected for steps after configure, instead of falling back to
    makefile once cmake generated a makefile. Closes: #555805
    (Modestas Vainius)

 -- Joey Hess <joeyh@debian.org>  Wed, 18 Nov 2009 14:44:21 -0500

debhelper (7.4.3) unstable; urgency=low

  [ Valery Perrin ]
  * update french translation. Closes: #494300, #477703
  * add --previous at po4a command into Makefile
  * add dh, dh_auto_install, dh_auto_clean, dh_auto_configure,
    dh_auto_install, dh_auto_test, dh_bugfiles, dh_icons, dh_installifupdown,
    dh_installudev, dh_lintian, dh_prep into po4a.cfg manpages list
  * fix a spelling mistake in dh_makeshlibs man french
    translation (#494300 part 2)
  
  [ Joey Hess ]
  * dh_perl: Do not look at perl scripts under /usr/share/doc.
    Closes: #546683
  * Allow dpkg-architecture to print errors to stderr. Closes: #548636
  * python_distutils: Run default python last, not first, and pass --force
    to setup.py install to ensure that timestamps do not prevent installation


=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: debhelper
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Joey Hess <joeyh@debian.org>
+Maintainer: Joey Hess <joeyh@debian.org>
 Build-Depends: po4a (>= 0.24), man-db (>= 2.5.1), file (>= 3.23)
 Standards-Version: 3.8.3
 Vcs-Git: git://git.debian.org/git/debhelper/debhelper.git

## debhelper 7.4.15ubuntu1

=== debian/changelog ===
debhelper (7.4.15ubuntu1) lucid; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - dh_installinit: Add --upstart-only and --onlyscripts-upstart modes.
    - Add various autoscripts for above: postinst-upstart,
      postinst-upstart-replace, postinst-upstart-restart,
      prerm-upstart, prerm-upstart-norestart, preinst-removeconffile.
    - dh_installudev: Handle conffile migration from old Ubuntu defaults
      (needed until after the next LTS release).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 22 Feb 2010 12:46:04 +0000

debhelper (7.4.15) unstable; urgency=low

  * The fix for #563557 caused some new trouble involving makefile
    that misbehave when stderr is closed. Reopen it to /dev/null
    when testing for the existance of a makefile target. Closes: #570443 

 -- Joey Hess <joeyh@debian.org>  Thu, 18 Feb 2010 16:37:34 -0500

debhelper (7.4.14) unstable; urgency=low

  * dh: Disable option bundling to avoid mis-parsing bundled options such
    as "-Bpython-support". Closes: #570039

 -- Joey Hess <joeyh@debian.org>  Tue, 16 Feb 2010 14:47:10 -0500

debhelper (7.4.13ubuntu1) lucid; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - dh_installinit: Add --upstart-only and --onlyscripts-upstart modes.
    - Add various autoscripts for above: postinst-upstart,
      postinst-upstart-replace, postinst-upstart-restart,
      prerm-upstart, prerm-upstart-norestart, preinst-removeconffile.
    - dh_installudev: Handle conffile migration from old Ubuntu defaults
      (needed until after the next LTS release).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 11 Feb 2010 19:02:31 +0000

debhelper (7.4.13) unstable; urgency=low

  * dh_compress: Avoid compressing images in /usr/share/info. Closes: #567586
  * Fix handling of -O with options specified by commands. Closes: #568081

 -- Joey Hess <joeyh@debian.org>  Tue, 02 Feb 2010 12:15:41 -0500

debhelper (7.4.12) unstable; urgency=low

  * dh_bugfiles: Doc typo. Closes: #563269
  * makefile: Support the (asking for trouble) case of MAKE being set to
    something with a space in it. Closes: #563557
  * Fix warning about unknown options passed to commands in override targets.
  * Add -O option, which can be used to pass options to commands, ignoring
    options that they do not support.
  * dh: Use -O to pass user-specified options to the commands it runs.
    This solves the problem with passing "-Bbuild" to dh, where commands
    that do not support -B would see a bogus -u option. Closes: #541773
    (It also ensures that the commands dh prints out can really be run.)
  * qmake: New buildsystem contributed by Kel Modderman. Closes: #566840
  * Fix typo in call to abs2rel in --builddir sanitize code.
    Closes: #567737

 -- Joey Hess <joeyh@debian.org>  Sat, 30 Jan 2010 20:23:02 -0500

debhelper (7.4.11ubuntu1) lucid; urgency=low

  * Merge with Debian; remaining changes:
    - dh_installinit: Add --upstart-only and --onlyscripts-upstart modes.
    - Add various autoscripts for above: postinst-upstart,
      postinst-upstart-replace, postinst-upstart-restart,
      prerm-upstart, prerm-upstart-norestart, preinst-removeconffile.
    - dh_installudev: Handle conffile migration from old Ubuntu defaults
      (needed until after the next LTS release).

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Jan 2010 10:44:11 +0100

debhelper (7.4.10ubuntu1) lucid; urgency=low

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * Merge with Debian unstable (LP: #485956). Remaining Ubuntu changes:
    - dh_installinit: Add --upstart-only and --onlyscripts-upstart modes.
    - Add various autoscripts for above: postinst-upstart,
      postinst-upstart-replace, postinst-upstart-restart,
      prerm-upstart, prerm-upstart-norestart, preinst-removeconffile.
    - dh_installudev: Handle conffile migration from old Ubuntu defaults
      (needed until after the next LTS release).

  [ Daniel Holbach ]
  * Port merge from 7.4.7 to 7.4.10.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Wed, 16 Dec 2009 09:01:54 +0100

debhelper (7.4.3ubuntu2) lucid; urgency=low

  * dh_installinit: Fix merge error which caused init.d-autoscripts to be
    run for upstartified packages. (LP: #470326)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 02 Nov 2009 13:01:48 +0100

debhelper (7.4.3ubuntu1) lucid; urgency=low

  * Merge with Debian unstable. Remaining Ubuntu changes:
    - dh_installinit: Add --upstart-only and --onlyscripts-upstart modes.
    - Add various autoscripts for above: postinst-upstart,
      postinst-upstart-replace, postinst-upstart-restart,
      prerm-upstart, prerm-upstart-norestart, preinst-removeconffile.
    - dh_installudev: Handle conffile migration from old Ubuntu defaults
      (needed until after the next LTS release).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 30 Oct 2009 14:11:17 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: debhelper
 Section: devel
 Priority: optional
-Maintainer: Joey Hess <joeyh@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Joey Hess <joeyh@debian.org>
 Build-Depends: po4a (>= 0.24), man-db (>= 2.5.1), file (>= 3.23)
-Standards-Version: 3.8.3
+Standards-Version: 3.8.4
 Vcs-Git: git://git.debian.org/git/debhelper/debhelper.git
 Vcs-Browser: http://git.debian.org/?p=debhelper/debhelper.git;a=summary
 Homepage: http://kitenet.net/~joey/code/debhelper/

## debhelper 8.0.0~bpo50+2

=== debian/changelog ===
debhelper (8.0.0~bpo50+2) lenny-backports; urgency=low

  * Add missing /usr/share/debhelper/autoscripts/post*-desktop

 -- Alexander Wirt <formorer@debian.org>  Sat, 11 Sep 2010 12:07:13 +0000

debhelper (8.0.0~bpo50+1) lenny-backports; urgency=low

  * Rebuild for lenny-backports.
  * Revert the no-op change for dh_desktop

 -- Alexander Wirt <formorer@debian.org>  Thu, 09 Sep 2010 20:41:40 +0000

debhelper (8.0.0) unstable; urgency=low

  [ Carsten Hey ]
  * dh_fixperms: Ensure files in /etc/sudoers.d/ are mode 440. Closes: #589574

  [ Joey Hess ]
  * Finalized v8 mode, which is the new recommended default.

 -- Joey Hess <joeyh@debian.org>  Sat, 07 Aug 2010 11:27:24 -0400

debhelper (7.9.3) unstable; urgency=low

  * perl_makemaker: import compat(). Closes: #587654

 -- Joey Hess <joeyh@debian.org>  Wed, 30 Jun 2010 14:42:09 -0400

debhelper (7.9.2) unstable; urgency=low

  * In v8 mode, stop passing packlist=0 in perl_makemaker buildsystem,
    since perl_build is tried first. Avoids the makemaker warning message
    introduced by the fix to #527990.

 -- Joey Hess <joeyh@debian.org>  Tue, 29 Jun 2010 17:41:41 -0400

debhelper (7.9.1) unstable; urgency=low

  * Started work on Debhelper v8. It is still experimental, and more
    changes are planned for that mode.
  * dh_installman: Support .so links relative to the current section.
  * dh_installman: Avoid converting .so links to symlinks if the link
    target is not present in the same binary package, on advice of 
    Colin Watson. (To support eventual so search paths.)
  * Add deprecation warning for dh_clean -k.
  * dh_testversion: Removed this deprecated and unused command.
  * debian/compress files are now deprecated. Seems only one package
    (genesis) still uses them.
  * dh_fixperms: Tighten globs used to find library .so files,
    avoiding incorrectly matching things like "foo.sources". Closes: #583328
  * dh_installchangelogs: Support packages placing their changelog in a
    file with a name like HISTORY. Closes: #582749
  * dh_installchangelogs: Also look for changelog files in doc(s)
    subdirectories. Closes: #521258
  * In v8 mode, do not allow directly passing unknown options to debhelper
    commands. (Unknown options in DH_OPTIONS still only result in warnings.)
  * In v8 mode, dh_makeshlibs will run dpkg-gensymbols on all shared
    libraries it generates shlibs files for. This means that -X can be
    used to exclude libraries from processing by dpkg-gensymbols. It also
    means that libraries in unusual locations, where dpkg-gensymbols does
    not itself normally look, will be passed to it, a behavior change which
    may break some packages. Closes: #557603
  * In v8 mode, dh expects the sequence to run is always its first parameter.
    (Ie, use "dh $@ --foo", not "dh --foo $@")
    This avoids ambiguities when parsing options to be passed on to debhelper
    commands. (See #570039)
  * In v8 mode, prefer the perl_build buildsystem over perl_makemaker.
    Closes: #578805
  * postrm-init: Avoid calling the error handler if update-rc.d fails.
    Closes: #586065

 -- Joey Hess <joeyh@debian.org>  Wed, 16 Jun 2010 13:44:48 -0400

debhelper (7.4.20) unstable; urgency=low

  * Drop one more call to dpkg-architecture. Closes: #580837
    (Raphael Geissert)
  * Further reduce the number of calls to dpkg-architecture to zero,
    in a typical package with no explicit architecture mentions
    in control file or debhelper config files.
  * dh_perl: use debian_abi for XS modules. Closes: #581233

 -- Joey Hess <joeyh@debian.org>  Wed, 12 May 2010 20:06:02 -0400

debhelper (7.4.19) unstable; urgency=low

  * Memoize architecture comparisons in samearch, and avoid calling
    dpkg-architecture at all for simple comparisons that clearly
    do not involve architecture wildcards. Closes:# 579317

 -- Joey Hess <joeyh@debian.org>  Mon, 26 Apr 2010 19:45:07 -0400

debhelper (7.4.18) unstable; urgency=low

  * dh_gconf: Depend on new gconf2 that uses triggers, and stop
    calling triggered programs manually. Closes: #577179

 -- Joey Hess <joeyh@debian.org>  Mon, 26 Apr 2010 16:23:38 -0400

debhelper (7.4.17) unstable; urgency=low

  * Fix #572077 in one place I missed earlier. (See #576885)
  * dh: Fixed example of overriding binary target.
  * Began finalizing list of changes for v8 compat level.

 -- Joey Hess <joeyh@debian.org>  Thu, 08 Apr 2010 18:23:43 -0400

debhelper (7.4.16) unstable; urgency=low

  * Updated French translation.
  * makefile buildsystem: Chomp output during test for full compatibility
    with debhelper 7.4.11. Closes: #570503
  * dh_install: Now --list-missing and --fail-missing are useful even when
    not all packages are acted on (due to architecture limits or flags).
    Closes: #570373
  * Typo. Closes: #571968
  * If neither -a or -i are specified, debhelper commands used to default
    to acting on all packages in the control file, which was a guaranteed
    failure if the control file listed packages that did not build for the
    target architecture. After recent optimisations, this default behavior
    can efficiently be changed to the more sane default of acting on only
    packages that can be built for the current architecture. This change
    is mostly useful when using minimal rules files with dh. Closes: #572077
  * dh_md5sums: Sort to ensure stable, more diffable order. Closes: #573702
  * dh: Allow --list-addons to be used when not in a source package.
    Closes: #574351
  * dh: Improve documentation.

 -- Joey Hess <joeyh@debian.org>  Tue, 06 Apr 2010 22:06:50 -0400

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: debhelper
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Joey Hess <joeyh@debian.org>
+Maintainer: Joey Hess <joeyh@debian.org>
 Build-Depends: po4a (>= 0.24), man-db (>= 2.5.1), file (>= 3.23)
-Standards-Version: 3.8.4
+Standards-Version: 3.9.0
 Vcs-Git: git://git.debian.org/git/debhelper/debhelper.git
 Vcs-Browser: http://git.debian.org/?p=debhelper/debhelper.git;a=summary
 Homepage: http://kitenet.net/~joey/code/debhelper/

## debhelper 8.0.0~pgapt40+1

=== Makefile ===
--- 
+++ 
@@ -10,12 +10,19 @@
 		        $$file=<IN>; \
 		        close IN; \
 		        if ($$file=~m/=head1 .*?\n\n(.*?) - (.*?)\n\n/s) { \
-		                $$collect.="=item $$1(1)\n\n$$2\n\n"; \
+				my $$item="=item $$1(1)\n\n$$2\n\n"; \
+				if ($$2!~/deprecated/) { \
+			                $$list.=$$item; \
+				} \
+				else { \
+			                $$list_deprecated.=$$item; \
+				} \
 		        } \
 		} \
 		END { \
 			while (<STDIN>) { \
-		        	s/\#LIST\#/$$collect/; \
+		        	s/\#LIST\#/$$list/; \
+		        	s/\#LIST_DEPRECATED\#/$$list_deprecated/; \
 				print; \
 			}; \
 		}'
@@ -25,18 +32,15 @@
 
 PERLLIBDIR=$(shell perl -MConfig -e 'print $$Config{vendorlib}')/Debian/Debhelper
 
-POD2MAN=pod2man --utf8 -c Debhelper -r "$(VERSION)"
+POD2MAN=pod2man -c Debhelper -r "$(VERSION)"
 
 # l10n to be built is determined from .po files
 LANGS=$(notdir $(basename $(wildcard man/po4a/po/*.po)))
 
-build: version
+build: version debhelper.7
 	find . -maxdepth 1 -type f -perm +100 -name "dh*" \
 		-exec $(POD2MAN) {} {}.1 \;
-	cat debhelper.pod | \
-		$(MAKEMANLIST) `find . -maxdepth 1 -type f -perm +100 -name "dh_*" | sort` | \
-		$(POD2MAN) --name="debhelper" --section=7  > debhelper.7
-	po4a -L UTF-8 man/po4a/po4a.cfg 
+	po4a --previous -L UTF-8 man/po4a/po4a.cfg 
 	set -e; \
 	for lang in $(LANGS); do \
 		dir=man/$$lang; \
@@ -55,9 +59,14 @@
 	printf "package Debian::Debhelper::Dh_Version;\n\$$version='$(VERSION)';\n1" > \
 		Debian/Debhelper/Dh_Version.pm
 
+debhelper.7: debhelper.pod
+	cat debhelper.pod | \
+		$(MAKEMANLIST) `find . -maxdepth 1 -type f -perm +100 -name "dh_*" | sort` | \
+		$(POD2MAN) --name="debhelper" --section=7  > debhelper.7
+
 clean:
 	rm -f *.1 *.7 Debian/Debhelper/Dh_Version.pm
-	po4a --rm-translations --rm-backups man/po4a/po4a.cfg
+	po4a --previous --rm-translations --rm-backups man/po4a/po4a.cfg
 	for lang in $(LANGS); do \
 		if [ -e man/$$lang ]; then rmdir man/$$lang; fi; \
 	done;
@@ -74,6 +83,7 @@
 	install -m 0644 Debian/Debhelper/Buildsystem/*.pm $(DESTDIR)$(PERLLIBDIR)/Buildsystem
 
 test: version
-	./run perl -MTest::Harness -e 'runtests grep { ! /CVS/ && ! /\.svn/ && -f && -x } @ARGV' t/* t/buildsystems/*
+	#./run perl -MTest::Harness -e 'runtests grep { ! /CVS/ && ! /\.svn/ && -f && -x } @ARGV' t/* t/buildsystems/*
+	./run perl -MTest::Harness -e 'runtests grep { ! /CVS/ && ! /\.svn/ && -f && -x } @ARGV' t/* t/buildsystems/debian
 	# clean up log etc
 	./run dh_clean

=== t/buildsystems/autoconf/Makefile ===
CONFIGURE := ./configure
all: stamp_configure $(CONFIGURE)
	@echo Package built > stamp_build

# Tests if dh_auto_test executes 'check' target if 'test' does not exist
check: $(CONFIGURE) stamp_build
	@echo Tested > stamp_test

install: stamp_build
	@echo DESTDIR=$(DESTDIR) > stamp_install

# Tests whether dh_auto_clean executes distclean but does not touch
# this target
clean:
	echo "This should not have been executed" >&2 && exit 1

distclean:
	@rm -f stamp_* Makefile

.PHONY: all check install clean distclean

=== debian/changelog ===
debhelper (8.0.0~pgapt40+1) etch-pgapt; urgency=low

  * Rebuild for etch-pgapt.

 -- Christoph Berg <myon@debian.org>  Fri, 27 Jul 2012 18:02:27 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: optional
 Maintainer: Joey Hess <joeyh@debian.org>
-Build-Depends: po4a (>= 0.24), man-db (>= 2.5.1), file (>= 3.23)
+Build-Depends: po4a (>= 0.34), man-db (>= 2.5.1), file (>= 3.23)
 Standards-Version: 3.9.0
 Vcs-Git: git://git.debian.org/git/debhelper/debhelper.git
 Vcs-Browser: http://git.debian.org/?p=debhelper/debhelper.git;a=summary
@@ -10,7 +10,8 @@
 
 Package: debhelper
 Architecture: all
-Depends: ${perl:Depends}, ${misc:Depends}, perl-base (>= 5.10), file (>= 3.23), dpkg-dev (>= 1.14.19), html2text, binutils, po-debconf, man-db (>= 2.5.1-1)
+#Depends: ${perl:Depends}, ${misc:Depends}, perl-base (>= 5.10), file (>= 3.23), dpkg-dev (>= 1.14.19), html2text, binutils, po-debconf, man-db (>= 2.5.1-1)
+Depends: ${perl:Depends}, ${misc:Depends}, file (>= 3.23), html2text, binutils, po-debconf, man-db (>= 2.5.1-1)
 Suggests: dh-make
 Conflicts: dpkg-cross (<< 1.18), python-support (<< 0.5.3), python-central (<< 0.5.6)
 Description: helper programs for debian/rules

## debhelper 8.0.0ubuntu1

=== debian/changelog ===
debhelper (8.0.0ubuntu1) maverick; urgency=low

  * Merge with Debian (LP: #614787); remaining changes:
    - dh_installinit: Add --upstart-only and --onlyscripts-upstart modes.
    - Add various autoscripts for above: postinst-upstart,
      postinst-upstart-replace, postinst-upstart-restart,
      prerm-upstart, prerm-upstart-norestart, preinst-removeconffile.
    - dh_installudev: Change default init.d symlink priority to 40.
    - dh_installchangelogs: Do not install upstream changelog in compat level
      7. This floods packages with huge upstream changelogs which take
      precious CD space.
    - dh_strip, dh_makeshlibs: use triplet-objdump, triplet-objcopy and
      triplet-strip from cross-binutils when cross-compiling; Debian #412118.
    - add dh_apparmor and autoscripts
  * debian/rules: override build target to set executable bit for dh_apparmor
    before actually running dh build, that is in order to get the manpage
    built for dh_apparmor.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Tue, 10 Aug 2010 12:45:25 +0300

debhelper (7.4.20ubuntu6) maverick; urgency=low

  * autoscripts/postinst-apparmor: don't 'echo' to stdout. As nice as it
    looks, it doesn't play well with debconf and isn't translated. Thanks
    to dhcp3 for pointing this out.

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 06 Aug 2010 17:11:13 -0500

debhelper (7.4.20ubuntu5) maverick; urgency=low

  * autoscripts/postinst-apparmor:
    - tweak logic slightly to be more efficient and add some comments
    - chmod 644 the local include file
  * dh_apparmor: add note about using -p

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 06 Aug 2010 12:04:08 -0500

debhelper (7.4.20ubuntu4) maverick; urgency=low

  * add dh_apparmor and autoscripts

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 06 Aug 2010 08:32:41 -0500

debhelper (7.4.20ubuntu3) maverick; urgency=low

  * dh_strip, dh_makeshlibs: use triplet-objdump, triplet-objcopy and
    triplet-strip from cross-binutils when cross-compiling; Debian #412118.

 -- Loïc Minier <loic.minier@ubuntu.com>  Tue, 03 Aug 2010 16:36:12 -0400

debhelper (7.4.20ubuntu2) maverick; urgency=low

  * dh_installchangelogs: Do not install upstream changelog in compat level 7.
    This floods packages with huge upstream changelogs which take precious CD
    space.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sun, 01 Aug 2010 21:07:12 +0200

debhelper (7.4.20ubuntu1) maverick; urgency=low

  * Merge with Debian (LP: #583352); remaining changes:
    - dh_installinit: Add --upstart-only and --onlyscripts-upstart modes.
    - Add various autoscripts for above: postinst-upstart,
      postinst-upstart-replace, postinst-upstart-restart,
      prerm-upstart, prerm-upstart-norestart, preinst-removeconffile.
    - dh_installudev: Change default init.d symlink priority to 40.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Thu, 20 May 2010 14:37:56 +0300

debhelper (7.4.19ubuntu1) maverick; urgency=low

  * Merge with Debian; remaining changes:
    - dh_installinit: Add --upstart-only and --onlyscripts-upstart modes.
    - Add various autoscripts for above: postinst-upstart,
      postinst-upstart-replace, postinst-upstart-restart,
      prerm-upstart, prerm-upstart-norestart, preinst-removeconffile.
    - dh_installudev: Change default init.d symlink priority to 40.
  * dh_installudev: Drop conffile migration code, it was only needed until
    lucid.
  * dh_gconf: Temporarily lower generated gconf dependency to a version which
    we actually have.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 03 May 2010 11:22:01 +0200
